# Generate local holiday idea variant

```http
POST https://api.synup.com/api/v4/local-post-ideas/generate-holiday-idea-variant
```

Generates a new post-idea variant for a given observance/holiday at a location. Optionally steer with an `observanceDate` and `topic`.

Source: https://developer.synup.com/api/local-post-ideas/generate-local-holiday-idea-variant

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |
| `observanceName` | string | required |  |
| `observanceDate` | string | optional |  |
| `topic` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/generate-holiday-idea-variant' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "observanceName": "Mother'\''s Day"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
